request.open("GET", some_url);
request.onreadystatechange = function() {
  if (request.readyState == 4) {
    if (request.status == 200) {
      doSomething();
    } else if (request.status == 404) {
      document.getElementById("errorDiv").innerHTML =
        'Nie można znaleźć żądanej strony.';
    } else if (request.status == 500)
      document.getElementById("errorDiv").innerHTML =
        'Wystąpił problem z serwerem.';
    } else {
      document.getElementById("errorDiv").innerHTML =
        'Połączenie zostało zerwane. Spróbuj ponownie.';
    }
  }
}
